CAC_Basic
curl --request POST \
--url https://flickopenapi.co/kyb/biz-basic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rcNumber": "2398621"
}
'import requests
url = "https://flickopenapi.co/kyb/biz-basic"
payload = { "rcNumber": "2398621" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rcNumber: '2398621'})
};
fetch('https://flickopenapi.co/kyb/biz-basic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/kyb/biz-basic",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rcNumber' => '2398621'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/kyb/biz-basic"
payload := strings.NewReader("{\n \"rcNumber\": \"2398621\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/kyb/biz-basic")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rcNumber\": \"2398621\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/kyb/biz-basic")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rcNumber\": \"2398621\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"active": true,
"email": "null",
"id": 3061051,
"delistingStatus": "null",
"natureOfBusinessName": "null",
"classification": "BUSINESS NAME",
"rcNumber": "2360621",
"registrationApproved": true,
"approvedName": "PAY DAY SUPERMARKET",
"city": "OWORONSHOKI",
"lga": "null",
"branchAddress": "",
"registrationDate": "2015-09-01T16:28:55.017+00:00",
"classificationId": 1,
"headOfficeAddress": "null",
"businessCommencementDate": "2015-08-30T23:00:00.000+00:00",
"objectives": "",
"companyTypeName": "BUSINESS_NAME_FIRM",
"searchScore": 0.060792710632085,
"address": "NO. 2, ADAMS STREET",
"state": "LAGOS"
}Businesses(KYB)
CAC_Basic
CAC Identifications
POST
/
kyb
/
biz-basic
CAC_Basic
curl --request POST \
--url https://flickopenapi.co/kyb/biz-basic \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rcNumber": "2398621"
}
'import requests
url = "https://flickopenapi.co/kyb/biz-basic"
payload = { "rcNumber": "2398621" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({rcNumber: '2398621'})
};
fetch('https://flickopenapi.co/kyb/biz-basic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/kyb/biz-basic",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rcNumber' => '2398621'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/kyb/biz-basic"
payload := strings.NewReader("{\n \"rcNumber\": \"2398621\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/kyb/biz-basic")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rcNumber\": \"2398621\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/kyb/biz-basic")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rcNumber\": \"2398621\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"active": true,
"email": "null",
"id": 3061051,
"delistingStatus": "null",
"natureOfBusinessName": "null",
"classification": "BUSINESS NAME",
"rcNumber": "2360621",
"registrationApproved": true,
"approvedName": "PAY DAY SUPERMARKET",
"city": "OWORONSHOKI",
"lga": "null",
"branchAddress": "",
"registrationDate": "2015-09-01T16:28:55.017+00:00",
"classificationId": 1,
"headOfficeAddress": "null",
"businessCommencementDate": "2015-08-30T23:00:00.000+00:00",
"objectives": "",
"companyTypeName": "BUSINESS_NAME_FIRM",
"searchScore": 0.060792710632085,
"address": "NO. 2, ADAMS STREET",
"state": "LAGOS"
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Checking for CAC Identification
Example:
"2398621"
Response
Successful
Example:
200
Example:
true
Example:
null
Example:
3061051
Example:
null
Example:
null
Example:
"BUSINESS NAME"
Example:
"2360621"
Example:
true
Example:
"PAY DAY SUPERMARKET"
Example:
"OWORONSHOKI"
Example:
null
Example:
""
Example:
"2015-09-01T16:28:55.017+00:00"
Example:
1
Example:
null
Example:
"2015-08-30T23:00:00.000+00:00"
Example:
""
Example:
"BUSINESS_NAME_FIRM"
Example:
0.060792710632085
Example:
"NO. 2, ADAMS STREET"
Example:
"LAGOS"